
Katello - Bug #6290

Association between katello's content-host and Foreman's host doesn't work

06/19/2014 02:56 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1111078 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1111078

Description of problem:

I provisioned a host via foreman and auto register it with activation-key. The host was populated under content-host after auto

registration with activation key. But Looks like "provisioning details" tab doesn't show any details.

it shows this msg:

"No provisioning details are available for this content host."

Version-Release number of selected component (if applicable):

sat6 beta snap10 (Satellite-6.0.3-RHEL-6-20140618.0)

How reproducible:

always

Steps to Reproduce:

1. Provision a host via foreman

2. Register it via rhsm to see under content-host

Actual results:

"Provisioning Details" tab doesn't show any info.

Expected results:

"Provisioning Details" tab should show info like: name, os, hostgroup and status.

Additional info:

Looks like its a regression as details were available during snap8

Associated revisions

Revision a3002822 - 06/20/2014 01:32 AM - Brad Buckingham

fixes #6290 / BZ 1111078 - fix host <-> content host association during registration

This commit fixes the association of the host to content host that is

performed during registration.  The code previously utilized the organization

instance variable that was obtained by the before_filters; however,

those filters are no longer used.

Revision bfcdbee2 - 06/20/2014 12:43 PM - Brad Buckingham

Merge pull request #4305 from bbuckingham/issue-6290

fixes #6290 / BZ 1111078 - fix host <-> content host association during registration

History

#1 - 06/19/2014 02:56 PM - Brad Buckingham

05/17/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1111078


- Assignee set to Brad Buckingham

- Target version set to 48

- translation missing: en.field_release set to 13

- Triaged set to Yes

#2 - 06/20/2014 12:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a3002822ff9a5397dc22a0ef3234d5f116376b2f.
